Package org.eclipse.e4.ui.model.application.ui.advanced.impl

# Interface AdvancedPackageImpl.Literals

Enclosing class:
  AdvancedPackageImpl

public static interface AdvancedPackageImpl.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`AREA`
The meta object literal for the '`Area`' class.
`static final org.eclipse.emf.ecore.EOperation`
`AREA___UPDATE_LOCALIZATION`
The meta object literal for the 'Update Localization' operation.
`static final org.eclipse.emf.ecore.EClass`
`PERSPECTIVE`
The meta object literal for the '`Perspective`' class.
`static final org.eclipse.emf.ecore.EOperation`
`PERSPECTIVE___UPDATE_LOCALIZATION`
The meta object literal for the 'Update Localization' operation.
`static final org.eclipse.emf.ecore.EReference`
`PERSPECTIVE__TRIM_BARS`
The meta object literal for the 'Trim Bars' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`PERSPECTIVE__WINDOWS`
The meta object literal for the 'Windows' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`PERSPECTIVE_STACK`
The meta object literal for the '`Perspective Stack`' class.
`static final org.eclipse.emf.ecore.EClass`
`PLACEHOLDER`
The meta object literal for the '`Placeholder`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`PLACEHOLDER__CLOSEABLE`
The meta object literal for the 'Closeable' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`PLACEHOLDER__REF`
The meta object literal for the 'Ref' reference feature.

## Field Details

### PLACEHOLDER

static final org.eclipse.emf.ecore.EClass PLACEHOLDER
The meta object literal for the '`Placeholder`' class.

Since:
  1.0
See Also:
  - `PlaceholderImpl`
  - `AdvancedPackageImpl.getPlaceholder()`

### PLACEHOLDER__REF

static final org.eclipse.emf.ecore.EReference PLACEHOLDER__REF
The meta object literal for the 'Ref' reference feature.

Since:
  1.0

### PLACEHOLDER__CLOSEABLE

static final org.eclipse.emf.ecore.EAttribute PLACEHOLDER__CLOSEABLE
The meta object literal for the 'Closeable' attribute feature.

Since:
  1.0

### PERSPECTIVE

static final org.eclipse.emf.ecore.EClass PERSPECTIVE
The meta object literal for the '`Perspective`' class.

Since:
  1.0
See Also:
  - `PerspectiveImpl`
  - `AdvancedPackageImpl.getPerspective()`

### PERSPECTIVE__WINDOWS

static final org.eclipse.emf.ecore.EReference PERSPECTIVE__WINDOWS
The meta object literal for the 'Windows' containment reference list feature.

Since:
  1.0

### PERSPECTIVE__TRIM_BARS

static final org.eclipse.emf.ecore.EReference PERSPECTIVE__TRIM_BARS
The meta object literal for the 'Trim Bars' containment reference list feature.

Since:
  1.3

### PERSPECTIVE___UPDATE_LOCALIZATION

static final org.eclipse.emf.ecore.EOperation PERSPECTIVE___UPDATE_LOCALIZATION
The meta object literal for the 'Update Localization' operation.

Since:
  1.1

### PERSPECTIVE_STACK

static final org.eclipse.emf.ecore.EClass PERSPECTIVE_STACK
The meta object literal for the '`Perspective Stack`' class.

Since:
  1.0
See Also:
  - `PerspectiveStackImpl`
  - `AdvancedPackageImpl.getPerspectiveStack()`

### AREA

static final org.eclipse.emf.ecore.EClass AREA
The meta object literal for the '`Area`' class.

Since:
  1.0
See Also:
  - `AreaImpl`
  - `AdvancedPackageImpl.getArea()`

### AREA___UPDATE_LOCALIZATION

static final org.eclipse.emf.ecore.EOperation AREA___UPDATE_LOCALIZATION
The meta object literal for the 'Update Localization' operation.

Since:
  1.1